RT-Extension-RepeatTicket v1.11 Perl 5 v5.6.2 i686-linux-multi

Status
Na
From
Nigel Horne
Dist
RT-Extension-RepeatTicket v1.11
Platform
Perl 5 v5.6.2 i686-linux-multi
Date
2017-11-10T16:36:45
ID
573f05a2-c635-11e7-8e07-958d21cd0eb8
This distribution has been tested as part of the CPAN Testers
project, supporting the Perl programming language.  See
http://wiki.cpantesters.org/ for more information or email
questions to cpan-testers-discuss@perl.org


--
Dear Best Practical Solutions,

This is a computer-generated report for RT-Extension-RepeatTicket-1.11
on perl 5.6.2, created by CPAN-Reporter-1.2011.

Thank you for uploading your work to CPAN.  While attempting to build or test
this distribution, the distribution signaled that support is not available
either for this operating system or this version of Perl.  Nevertheless, any
diagnostic output produced is provided below for reference.  If this is not
what you expect, you may wish to consult the CPAN Testers Wiki:

http://wiki.cpantesters.org/wiki/CPANAuthorNotes

Sections of this report:

    * Tester comments
    * Program output
    * Prerequisites
    * Environment and other context

------------------------------
TESTER COMMENTS
------------------------------

Additional comments from tester:

this report is from an automated smoke testing program
and was not reviewed by a human for accuracy

------------------------------
PROGRAM OUTPUT
------------------------------

Output from '/home/njh/perl5/perlbrew/perls/perl-5.6.2/bin/perl Makefile.PL':

Perl v5.8.0 required--this is only v5.6.2, stopped at inc/Module/Install/Substitute.pm line 5.
BEGIN failed--compilation aborted at inc/Module/Install/Substitute.pm line 5.
Compilation failed in require at inc/Module/Install.pm line 309.
Perl v5.8.0 required--this is only v5.6.2, stopped at inc/Module/Install/RTx.pm line 3.
BEGIN failed--compilation aborted at inc/Module/Install/RTx.pm line 3.
Compilation failed in require at inc/Module/Install.pm line 309.
Unknown function is found at Makefile.PL line 2.
Execution of Makefile.PL aborted due to runtime errors.

If you're a contributor to a project, you may need to install
some Module::Install extensions from CPAN (or other repository).
If you're a user of a module, please contact the author.

------------------------------
PREREQUISITES
------------------------------

Prerequisite modules loaded:

configure_requires:

    Module              Need Have
    ------------------- ---- ----
    ExtUtils::MakeMaker 6.59 7.10


------------------------------
ENVIRONMENT AND OTHER CONTEXT
------------------------------

Environment variables:

    AUTOMATED_TESTING = 1
    HARNESS_OPTIONS = j2
    LANG = en_US.UTF-8
    PATH = /home/njh/perl5/perlbrew/bin:/home/njh/perl5/perlbrew/perls/perl-5.6.2/bin:/home/njh/perl5/perlbrew/bin:/usr/bin:/bin
    PERL5LIB = 
    PERL5OPT = -MDevel::Autoflush
    PERL5_CPANPLUS_IS_RUNNING = 17063
    PERL5_CPAN_IS_EXECUTING = /home/njh/.cpan/build/RT-Extension-RepeatTicket-1.11-KksaJG/Makefile.PL
    PERL5_CPAN_IS_RUNNING = 17063
    PERLBREW_BASHRC_VERSION = 0.73
    PERLBREW_HOME = /home/njh/.perlbrew
    PERLBREW_LIB = 
    PERLBREW_MANPATH = /home/njh/perl5/perlbrew/perls/perl-5.6.2/man
    PERLBREW_PATH = /home/njh/perl5/perlbrew/bin:/home/njh/perl5/perlbrew/perls/perl-5.6.2/bin
    PERLBREW_PERL = perl-5.6.2
    PERLBREW_ROOT = /home/njh/perl5/perlbrew
    PERLBREW_VERSION = 0.73
    PERL_AUTOINSTALL = --defaultdeps
    PERL_EXTUTILS_AUTOINSTALL = --defaultdeps
    PERL_LOCAL_LIB_ROOT = 
    SHELL = /bin/sh

Perl special variables (and OS-specific diagnostics, for MSWin32):

    $^X = /home/njh/perl5/perlbrew/perls/perl-5.6.2/bin/perl
    $UID/$EUID = 1000 / 1000
    $GID = 1000 1000 108 46 44 30 29 25 24 4
    $EGID = 1000 1000 108 46 44 30 29 25 24 4

Perl module toolchain versions installed:

    Module              Have   
    ------------------- -------
    Cwd                 3.62   
    ExtUtils::CBuilder  n/a    
    ExtUtils::Command   7.10   
    ExtUtils::Install   2.04   
    ExtUtils::MakeMaker 7.10   
    ExtUtils::Manifest  1.70   
    ExtUtils::ParseXS   n/a    
    File::Spec          3.62   
    JSON::PP            2.27300
    Module::Signature   n/a    
    Test::Harness       3.36   


--

Summary of my perl5 (revision 5.0 version 6 subversion 2) configuration:
  Platform:
    osname=linux, osvers=4.2.0-1-686-pae, archname=i686-linux-multi
    uname='linux zack 4.2.0-1-686-pae #1 smp debian 4.2.6-1 (2015-11-10) i686 gnulinux '
    config_args='-de -Dprefix=/home/njh/perl5/perlbrew/perls/perl-5.6.2 -Duseithreads -Dusemultiplicity -Dusedevel -Accflags= -Aeval:scriptdir=/home/njh/perl5/perlbrew/perls/perl-5.6.2/bin'
    hint=recommended, useposix=true, d_sigaction=define
    usethreads=undef use5005threads=undef useithreads=undef usemultiplicity=define
    useperlio=undef d_sfio=undef uselargefiles=define usesocks=undef
    use64bitint=undef use64bitall=undef uselongdouble=undef
  Compiler:
    cc='cc', ccflags ='-fno-strict-aliasing -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64',
    optimize='-O2',
    cppflags='-fno-strict-aliasing -I/usr/local/include'
    ccversion='', gccversion='5.2.1 20151121', gccosandvers=''
    intsize=4, longsize=4, ptrsize=4, doublesize=8, byteorder=1234
    d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=12
    ivtype='long', ivsize=4, nvtype='double', nvsize=8, Off_t='off_t', lseeksize=8
    alignbytes=4, usemymalloc=n, prototype=define
  Linker and Libraries:
    ld='cc', ldflags =' -L/usr/local/lib'
    libpth=/usr/local/lib /lib/i386-linux-gnu /lib/../lib /usr/lib/i386-linux-gnu /usr/lib/../lib /lib /usr/lib
    libs=-lnsl -lgdbm -ldb -ldl -lm -lc -lcrypt -lutil -lgdbm_compat
    perllibs=-lnsl -ldl -lm -lc -lcrypt -lutil -lgdbm_compat
    libc=libc-2.19.so, so=so, useshrplib=false, libperl=libperl.a
  Dynamic Linking:
    dlsrc=dl_dlopen.xs, dlext=so, d_dlsymun=undef, ccdlflags='-rdynamic'
    cccdlflags='-fpic', lddlflags='-shared -L/usr/local/lib'


Characteristics of this binary (from libperl): 
  Compile-time options: MULTIPLICITY USE_LARGE_FILES PERL_IMPLICIT_CONTEXT
  Locally applied patches:
  	Devel::PatchPerl 1.38
  Built under linux
  Compiled at Nov 24 2015 07:06:00
  %ENV:
    PERL5LIB=""
    PERL5OPT=""
    PERL5_CPANPLUS_IS_RUNNING="17063"
    PERL5_CPAN_IS_EXECUTING="/home/njh/.cpan/build/RT-Extension-RepeatTicket-1.11-KksaJG/Makefile.PL"
    PERL5_CPAN_IS_RUNNING="17063"
    PERLBREW_BASHRC_VERSION="0.73"
    PERLBREW_HOME="/home/njh/.perlbrew"
    PERLBREW_LIB=""
    PERLBREW_MANPATH="/home/njh/perl5/perlbrew/perls/perl-5.6.2/man"
    PERLBREW_PATH="/home/njh/perl5/perlbrew/bin:/home/njh/perl5/perlbrew/perls/perl-5.6.2/bin"
    PERLBREW_PERL="perl-5.6.2"
    PERLBREW_ROOT="/home/njh/perl5/perlbrew"
    PERLBREW_VERSION="0.73"
    PERL_AUTOINSTALL="--defaultdeps"
    PERL_EXTUTILS_AUTOINSTALL="--defaultdeps"
    PERL_LOCAL_LIB_ROOT=""
  @INC:
    /home/njh/perl5/perlbrew/perls/perl-5.6.2/lib/5.6.2/i686-linux-multi
    /home/njh/perl5/perlbrew/perls/perl-5.6.2/lib/5.6.2
    /home/njh/perl5/perlbrew/perls/perl-5.6.2/lib/site_perl/5.6.2/i686-linux-multi
    /home/njh/perl5/perlbrew/perls/perl-5.6.2/lib/site_perl/5.6.2
    /home/njh/perl5/perlbrew/perls/perl-5.6.2/lib/site_perl
    .